mb_check_encoding
mb_convert_encoding
Multibyte String Functions
PHP Manual

# mb_convert_case

(PHP 4 >= 4.3.0, PHP 5)

mb_convert_case — Perform case folding on a string

### Description

string mb_convert_case ( string `$str` , int `$mode` [, string `$encoding` ] )

Performs case folding on a string, converted in the way specified by `mode` .

### Parameters

`str`

  The string being converted.

`mode`

  The mode of the conversion. It can be one of `MB_CASE_UPPER`, `MB_CASE_LOWER`, or `MB_CASE_TITLE`.

`encoding`

  The `encoding` parameter is the character encoding. If it is omitted, the internal character encoding value will be used.

### Return Values

A case folded version of `string` converted in the way specified by `mode` .

### Unicode

By contrast to the standard case folding functions such as strtolower() and strtoupper(), case folding is performed on the basis of the Unicode character properties. Thus the behaviour of this function is not affected by locale settings and it can convert any characters that have 'alphabetic' property, such as A-umlaut (Ä).

For more information about the Unicode properties, please see » http://www.unicode.org/unicode/reports/tr21/.

### Examples

Example #1 mb_convert_case() example

`<?php
$str = "mary had a Little lamb and she loved it so";
$str = mb_convert_case($str, MB_CASE_UPPER, "UTF-8");
echo $str; // Prints MARY HAD A LITTLE LAMB AND SHE LOVED IT SO
$str = mb_convert_case($str, MB_CASE_TITLE, "UTF-8");
echo $str; // Prints Mary Had A Little Lamb And She Loved It So
?>`

### See Also

- mb_strtolower()
- mb_strtoupper()
- strtolower()
- strtoupper()
- ucfirst()
- ucwords()

mb_check_encoding
mb_convert_encoding
Multibyte String Functions
PHP Manual